%H2E Homogeneous to Euclidean 
%
% E = H2E(H) is the Euclidean representation of a set of homogeneous points H.
%
% In the Toolbox points are represented as by Euclidean coordinates which are 
% the rows of a matrix E, and the number of columns is either 2 or 3 to 
% represent 2- or 3-dimensional points.  Euclidean representation decreases
% the dimension of each point by one.
%
% modified for row vectors


function e = h2e_row(h)

    e = h(:,1:end-1) ./ repmat(h(:,end), 1, size(h,2)-1);

