% parametric line from equation

a=2;
b=-4;
c=-9;

x = [-10 10];
y = -(c+a*x)/b;
plot(x,y,'k--');
grid on

p0 = -(c/(a^2+b^2))*[a b];
k = [b  -a];
p = [p0-k*0.5; p0+k*0.5];
hold on
plot(p(:,1),p(:,2),'b');
plot(p0(1),p0(2),'rx','MarkerSize',9,'LineWidth',2);
plot(0,0,'ko');
hold off
axis equal

